cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
cdinet
McAfee Employee
McAfee Employee
Report Inappropriate Content
Message 21 of 28

Re: Updates not applied because detection scripts were not found in Previous branch: DAT

Jump to solution

Personally, I would upgrade to ENS for Linux.  VSEL is pretty old and as far as I know, has had no updates to it in a while, but I could be wrong.  I do know it will be end of life next year.

Was my reply helpful?
If this information was helpful in any way or answered your question, will you please select Accept as Solution in my reply and together we can help other members?

SypsG
Level 9
Report Inappropriate Content
Message 22 of 28

Re: Updates not applied because detection scripts were not found in Previous branch: DAT

Jump to solution

We are moving to ENS. Timeline is 1 year from now.

In the meantime, we need to keep our DATs updating and reporting to ePO on what we are currently using. We have 80k systems across 25+ datacenters for many different customer products. Migrating is not a simple process.

cdinet
McAfee Employee
McAfee Employee
Report Inappropriate Content
Message 23 of 28

Re: Updates not applied because detection scripts were not found in Previous branch: DAT

Jump to solution

Does reinstalling vsel resolve the issue?  What agent version are you running?  What epo version and extension version for agent and vsel are you running?

Was my reply helpful?
If this information was helpful in any way or answered your question, will you please select Accept as Solution in my reply and together we can help other members?

SypsG
Level 9
Report Inappropriate Content
Message 24 of 28

Re: Updates not applied because detection scripts were not found in Previous branch: DAT

Jump to solution

Reinstalling VSEL results in the problem with scanner running as root many times going away (because the nails services run in the same cgroup as the Agent for a while), but only temporarily. We have not been able to identify a trigger that causes the problem to re-emerge. Still though, only in a few cases (of machines built from the same image, with Agent installed after the deployment), do these problem machines report the DAT version to ePO.

Agent 5.6.5 primarily, with some 5.6.6 in Eval branch for trying to resolve this issue.

EPO is 5.9.0. Agent Extension is 5.6.5.102.

VSEL extension is 2.0.3.1757 (latest available in Software Manager), while VSEL itself is 2.0.3.29216 (and we add HF2 2635000 on them as well).

cdinet
McAfee Employee
McAfee Employee
Report Inappropriate Content
Message 25 of 28

Re: Updates not applied because detection scripts were not found in Previous branch: DAT

Jump to solution

You might need to open a ticket with the McAfee VSEL team.  They might know some known issues that I am not aware of because I typically don't deal with that product.

Was my reply helpful?
If this information was helpful in any way or answered your question, will you please select Accept as Solution in my reply and together we can help other members?

SypsG
Level 9
Report Inappropriate Content
Message 26 of 28

Re: Updates not applied because detection scripts were not found in Previous branch: DAT

Jump to solution

I've had a ticket open with them for a couple of months now. I can't even get them to review the logs I've submitted, or call me during business hours, or suggest something other than LogMeInRescue (which is blocked by corporate security policy and a DNS blackhole) to have them look with me. This is why I've resorted to the Community.

cdinet
McAfee Employee
McAfee Employee
Report Inappropriate Content
Message 27 of 28

Re: Updates not applied because detection scripts were not found in Previous branch: DAT

Jump to solution

Please let me know your SR number and I will get that remedied right away.  You can send it via private msg if you want.

Was my reply helpful?
If this information was helpful in any way or answered your question, will you please select Accept as Solution in my reply and together we can help other members?

SypsG
Level 9
Report Inappropriate Content
Message 28 of 28

Re: Updates not applied because detection scripts were not found in Previous branch: DAT

Jump to solution

The problem with the scanner process running away was resolved by manually upgrading the Linux Engine from 5900 to 6100. I guess there was an incompatibility between Agent versions 5.0.5 through 5.6.6 with VSEL Engine version 5900, on at least our SUSE 12.3 systems.

I closed the ticket that I had open with them this morning though, after my management told us we were moving away from this AV solution and to stop working on it. It was 4-21285068991 though.

Thanks for your help.

You Deserve an Award
Don't forget, when your helpful posts earn a kudos or get accepted as a solution you can unlock perks and badges. Those aren't the only badges, either. How many can you collect? Click here to learn more.

Community Help Hub

    New to the forums or need help finding your way around the forums? There's a whole hub of community resources to help you.

  • Find Forum FAQs
  • Learn How to Earn Badges
  • Ask for Help
Go to Community Help

Join the Community

    Thousands of customers use the McAfee Community for peer-to-peer and expert product support. Enjoy these benefits with a free membership:

  • Get helpful solutions from McAfee experts.
  • Stay connected to product conversations that matter to you.
  • Participate in product groups led by McAfee employees.
Join the Community
Join the Community